#ifndef NVPARSE_H
#define NVPARSE_H

typedef void (APIENTRY * NVPARSEPROC) (const char * input_string, ...);
typedef char * const * const (APIENTRY * NVPARSEGETERRORSPROC) ();

extern NVPARSEPROC nvparse;
extern NVPARSEGETERRORSPROC nvparse_get_errors;

void SetupNVParse();
unsigned int ParseShader(char *shader);

extern unsigned int dl_underwater;

#endif
